services:
  smesh:
    container_name: smesh-nginx
    build:
      context: .
      dockerfile: Dockerfile
      args:
        VITE_PROXY_SERVER: ${SMESH_PROXY_SERVER_URL:-http://localhost:8090}
    ports:
      - '8089:80'
    restart: unless-stopped
    networks:
      - smesh

  proxy-server:
    image: ghcr.io/danvergara/smesh-proxy-server:latest
    environment:
      - ALLOW_ORIGIN=${SMESH_SOCIAL_URL:-http://localhost:8089}
      - SMESH_PROXY_GITHUB_TOKEN=${SMESH_PROXY_GITHUB_TOKEN}
      - ENABLE_PPROF=true
      - PORT=8080
    ports:
      - '8090:8080'
    networks:
      - smesh

  nostr-relay:
    image: scsibug/nostr-rs-relay:latest
    container_name: smesh-nostr-relay
    ports:
      - '7000:8080'
    environment:
      - RUST_LOG=warn,nostr_rs_relay=info
    volumes:
      - relay-data:/usr/src/app/db
    networks:
      - smesh
    restart: unless-stopped

volumes:
  relay-data:

networks:
  smesh:
